Parameters:
  Workspace:
    Type: String

Resources:
  ArchivingAccessAnalyzer:
    Type: AWS::AccessAnalyzer::Analyzer
    Properties: 
      AnalyzerName: !Sub ArchivingAccessAnalyzer-${Workspace}
      ArchiveRules:
        -
          # Archive findings where it's not related to S3
          RuleName: ArchiveTrustedAccountAccess
          Filter:
            -
              Property: 'resourceType'
              Neq:
                - 'AWS::S3::Bucket'
      Type: ACCOUNT

Outputs:
  AnalyzerArn:
    Value: !Ref ArchivingAccessAnalyzer